#
# spec file for package xiccd
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xiccd
Version:        0.2.2
Release:        7.5
Summary:        X11 ICC Daemon
License:        GPL-3.0+
Group:          System/X11/Utilities
Url:            https://github.com/agalakhov/xiccd
Source:         https://github.com/agalakhov/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(colord)
BuildRequires:  pkgconfig(xrandr)

%description
xiccd is a simple bridge between colord and X. It does the following tasks:
 * Enumerates displays and register them in colord;
 * Creates default ICC profiles based on EDID data;
 * Applies ICC profiles provided by colord;
 * Maintains user's private ICC storage directory.

It does basically the same as gnome-settings-daemon color plugin or
colord-kde but does not depend on any particular desktop. It even doesn't
depend on Gtk so it doesn't create useless Gtk3 dependency if the desktop
environment is Gtk2-based or vice versa. The primary goal of xiccd is
providing color profile support for desktop environments other than GNOME
and KDE (MATE, Xfce, LXDE and probably others) that do not support native
color management yet. It is however not meant to be excuse of not adding
native color management to the session daemons of them.

%prep
%setup -q
# XDG autostart.
cat > %{name}.desktop << EOF
#!/usr/bin/env xdg-open
[Desktop Entry]
Version=1.0
Type=Application
Name=X11 ICC Daemon
Comment=Start the XICCD
Categories=Utility;
Exec=%{name}
Icon=preferences-system
StartupNotify=false
NoDisplay=true
EOF

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
%make_install
install -Dm 0644 %{name}.desktop %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_sysconfdir}/xdg/autostart/

%changelog
* Mon Oct 20 2014 sor.alexei@meowr.ru
- Add download URL.
- Minor spec cleanup.
* Sat Apr  5 2014 sor.alexei@meowr.ru
- Initial package.
